Difficulty: Fixed in Releases:
Pull request:

Description

Implement a way to export/import host groups and their associated puppet modules.
Or ideally allow a slave foreman host sync from the master all settings etc....

TIA,

Related issues:
Related to Foreman - Feature #563: Allow import and export "parameters" to/fr... Resolved 01/04/2011

History

#1 - 06/19/2011 04:11 AM - Ohad Levy

IMHO, that is possible today with a "simple" script, (using rails console or via the api).

I'll try to see if | can provide some simple example, in the meanwhile, you might want to follow up on the mailing list, as this has been done before by
others.

#2 - 11/15/2012 04:33 AM - Benjamin Papillon

- Tracker changed from Bug to Feature

Moved to feature requests

#3 - 10/18/2013 07:42 AM - Benjamin Papillon
- Description updated

- Status changed from New to Feedback

Hello,

You can have a look at hammer and tell us if it feets your needs for hostgroup import/export?
IMHO, Foreman Synchronisation can be achieved by clustering apache + database. Ping me if you need more infos regarding that.

Regards,

Benjamin Papillon

#4 - 05/17/2017 06:34 AM - Anonymous

- Status changed from Feedback to Resolved

no reaction, closing
